## oxygen-gtk3 1.3.5

=== CMakeLists.txt ===
project( oxygen-gtk )

cmake_minimum_required(VERSION 2.4)

###########################
# Define package generation
###########################

set( CPACK_PACKAGE_NAME "oxygen-gtk3" )
set( CPACK_SOURCE_PACKAGE_NAME "oxygen-gtk3" )
set( CPACK_SOURCE_GENERATOR TBZ2 )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Oxygen Gtk3 theme" )
set( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
set( CPACK_PACKAGE_VERSION_MAJOR "1" )
set( CPACK_PACKAGE_VERSION_MINOR "3" )
set( CPACK_PACKAGE_VERSION_PATCH "5" )
set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )

##################################
# Define oxygen-gtk version string
##################################
if( EXISTS "${CMAKE_SOURCE_DIR}/.git" )
    execute_process(COMMAND sh -c "cd ${CMAKE_SOURCE_DIR} && git describe 2>/dev/null"
        OUTPUT_VARIABLE OXYGEN_VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE)
endif( EXISTS "${CMAKE_SOURCE_DIR}/.git" )
STRING(COMPARE NOTEQUAL "${OXYGEN_VERSION}" "" OXYGEN_VERSION_DETECTED )
if( NOT OXYGEN_VERSION_DETECTED )
    set( OXYGEN_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} )
endif( NOT OXYGEN_VERSION_DETECTED )
message( "Detected oxygen version string: ${OXYGEN_VERSION}" )

set( CPACK_SOURCE_PACKAGE_FILE_NAME "oxygen-gtk3-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}" )
include( CPack )
########################
# Package specific flags
########################

# Set to 1 to enable debugging information
if( NOT DEFINED OXYGEN_DEBUG )
    set( OXYGEN_DEBUG 0 )
endif( NOT DEFINED OXYGEN_DEBUG )

# Set to 1 to enable debug logs regarding inner shadows
if( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
    set( OXYGEN_DEBUG_INNERSHADOWS 0 )
endif( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )

# # Set to 1 to build windeco test app (normal users rarely need this)
# if( NOT DEFINED BUILD_DECO_TEST )
#     set( BUILD_DECO_TEST 0 )
# endif( NOT DEFINED BUILD_DECO_TEST )

# Set to 1 to replace gtk stock icons
# with oxygen-icons
if( NOT DEFINED OXYGEN_ICON_HACK )
    set( OXYGEN_ICON_HACK 1 )
endif( NOT DEFINED OXYGEN_ICON_HACK )

# Set to 1 to force KDE icons and fonts when running in non-KDE
if( NOT DEFINED OXYGEN_FORCE_KDE_ICONS_AND_FONTS )
    set( OXYGEN_FORCE_KDE_ICONS_AND_FONTS 1 )
endif( NOT DEFINED OXYGEN_FORCE_KDE_ICONS_AND_FONTS )

# Set to 1 to resize combobox list to compensate for combobox button glow width
# (may result in flicker on combo popup)
if( NOT DEFINED ENABLE_COMBOBOX_LIST_RESIZE )
    set( ENABLE_COMBOBOX_LIST_RESIZE 1 )
endif( NOT DEFINED ENABLE_COMBOBOX_LIST_RESIZE )

# Set to 0 to disable inner shadows hack
# Note this flag is automatically set to 0 if GTK version is too old (< 2.24.2)
if( NOT DEFINED ENABLE_INNER_SHADOWS_HACK )
    set( ENABLE_INNER_SHADOWS_HACK 1 )
endif( NOT DEFINED ENABLE_INNER_SHADOWS_HACK )

# set to 0 to disable groupbox hack
if( NOT DEFINED ENABLE_GROUPBOX_HACK )
    set( ENABLE_GROUPBOX_HACK 1 )
endif( NOT DEFINED ENABLE_GROUPBOX_HACK )

##############
# Requirements
##############

# install prefix
include( UsePkgConfig )
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

    exec_program(
        ${PKGCONFIG_EXECUTABLE}
        ARGS --variable=prefix gtk+-3.0
        OUTPUT_VARIABLE GTK_PREFIX )

    message( "Info: using PKGCONFIG_EXECUTABLE to set the installation prefix" )
    set(CMAKE_INSTALL_PREFIX
        ${GTK_PREFIX} CACHE PATH "GTK install prefix" FORCE
        )
endif()

# X11
find_package( X11 REQUIRED )

# PKG_CONFIG
find_package( PkgConfig REQUIRED )

# GTK
pkg_check_modules( GTK REQUIRED gtk+-3.0>=3.10.0 )

# Cairo
pkg_check_modules( CAIRO REQUIRED cairo )

##########################
# installation directories
##########################
exec_program(
    ${PKGCONFIG_EXECUTABLE}
    ARGS --variable=gtk_binary_version gtk+-3.0
    OUTPUT_VARIABLE GTK_BIN_VERSION )

if( DEFINED LIB_SUFFIX OR NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT )

    message( "Info: using LIB_SUFFIX to set the theme engine installation path" )
    set( INSTALL_PATH_GTK_ENGINES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/gtk-3.0/${GTK_BIN_VERSION}/theming-engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-3.0/3.0.0/engines )" )

else()

    exec_program(
        ${PKGCONFIG_EXECUTABLE}
        ARGS --variable=libdir gtk+-3.0
        OUTPUT_VARIABLE GTK_LIBDIR_PREFIX )

    message( "Info: using PKGCONFIG_EXECUTABLE to set the theme engine installation path" )
    set( INSTALL_PATH_GTK_ENGINES "${GTK_LIBDIR_PREFIX}/gtk-3.0/${GTK_BIN_VERSION}/theming-engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-3.0/3.0.0/engines )" )

endif()

set( INSTALL_PATH_GTK_THEMES "${CMAKE_INSTALL_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data( eg. /usr/share/themes )" )
set( GTK_THEME_DIR ${INSTALL_PATH_GTK_THEMES}/oxygen-gtk )

# First emit all warnings in one place
# Adjust flags based on gtk version and warn user if needed
if( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )
    message( "Warning: disabling inner shadows hack because GTK version is too old (needed 3.0.0, found ${GTK_VERSION})" )
    set( ENABLE_INNER_SHADOWS_HACK 0 )
endif( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )

#########
# summary
#########
message( "Flags: " )
message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
# message( "  BUILD_DECO_TEST ${BUILD_DECO_TEST}" )
message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
message( "  OXYGEN_FORCE_KDE_ICONS_AND_FONTS ${OXYGEN_FORCE_KDE_ICONS_AND_FONTS}" )
message( "  ENABLE_COMBOBOX_LIST_RESIZE ${ENABLE_COMBOBOX_LIST_RESIZE}" )
message( "  ENABLE_INNER_SHADOWS_HACK ${ENABLE_INNER_SHADOWS_HACK}" )
message( "  ENABLE_GROUPBOX_HACK ${ENABLE_GROUPBOX_HACK}" )
message( "" )
message( "Paths: " )
message( "  Installing the GTK theme engine library to: ${INSTALL_PATH_GTK_ENGINES}" )
message( "  Installing the GTK theme engine data to: ${GTK_THEME_DIR}" )
message( "" )

##################
# uninstall target
##################
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


######################################################################
# Setup definitions and directories to be used for linking and include
######################################################################
link_directories( ${GTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS} )
include_directories( ${GTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ${X11_X11_INCLUDE_PATH} )

#############################
# generate configuration file
#############################
configure_file( config.h.cmake ${CMAKE_BINARY_DIR}/config.h )

################
# Subdirectories
################
add_subdirectory( src )
add_subdirectory( rc )
add_subdirectory( special-icons )
add_subdirectory( demo )

=== demo/CMakeLists.txt ===
# For config.h to be available
include_directories( ${CMAKE_BINARY_DIR} )

########### next target ###############
set( oxygen_gtk_demo_SOURCES
    oxygenbuttondemowidget.cpp
    oxygendemodialog.cpp
    oxygendemowidget.cpp
    oxygenframedemowidget.cpp
    oxygeninfowidget.cpp
    oxygeninputdemowidget.cpp
    oxygenlistdemowidget.cpp
    oxygensignal.cpp
    oxygensignalhandler.cpp
    oxygensliderdemowidget.cpp
    oxygentimer.cpp
    oxygentabdemowidget.cpp
    oxygenversion.cpp
    oxygengtkdemo_main.cpp
 )

IF( WIN32 )
  add_executable( oxygen-gtk3-demo WIN32 ${oxygen_gtk_demo_SOURCES} )
ELSE( WIN32 )
  add_executable( oxygen-gtk3-demo ${oxygen_gtk_demo_SOURCES} )
ENDIF( WIN32 )

target_link_libraries( oxygen-gtk3-demo ${GTK_LIBRARIES} ${CAIRO_LIBRARIES} ${X11_X11_LIB} )
install( TARGETS oxygen-gtk3-demo DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

# ########### next target ###############
# set( deco_test_SOURCES oxygenversion.cpp oxygengtkdeco_main.cpp )
# add_executable( oxygen-gtk-deco ${deco_test_SOURCES} )
# target_link_libraries( oxygen-gtk-deco ${GTK_LIBRARIES} ${CAIRO_LIBRARIES} ${X11_X11_LIB} ${CMAKE_DL_LIBS} )
# install( TARGETS oxygen-gtk-deco DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

=== rc/CMakeLists.txt ===

install(
	FILES gtk.css gtk-spinner.css gtk-csd.css icons4 kdeglobals oxygenrc argb-apps.conf
	DESTINATION "${GTK_THEME_DIR}/gtk-3.0"
 )

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} )
include_directories( animations debug )

# Sources
# please keep this list alphabetically sorted for clarity
set( oxygen_gtk_SOURCES
    animations/oxygenanimations.cpp
    animations/oxygenarrowstatedata.cpp
    animations/oxygenbackgroundhintengine.cpp
    animations/oxygenbaseengine.cpp
    animations/oxygencomboboxdata.cpp
    animations/oxygencomboboxentrydata.cpp
    animations/oxygendialogengine.cpp
    animations/oxygenfollowmousedata.cpp
    animations/oxygenhook.cpp
    animations/oxygenhoverdata.cpp
    animations/oxygeninnershadowdata.cpp
    animations/oxygenmainwindowdata.cpp
    animations/oxygenmenubarstatedata.cpp
    animations/oxygenmenustatedata.cpp
    animations/oxygenmenuitemengine.cpp
    animations/oxygenmenuitemdata.cpp
    animations/oxygenpaneddata.cpp
    animations/oxygensignal.cpp
    animations/oxygenscrollbardata.cpp
    animations/oxygenscrollbarstatedata.cpp
    animations/oxygenscrolledwindowdata.cpp
    animations/oxygentabwidgetdata.cpp
    animations/oxygentabwidgetstatedata.cpp
    animations/oxygentimeline.cpp
    animations/oxygentimelineserver.cpp
    animations/oxygentimer.cpp
    animations/oxygentoolbarstatedata.cpp
    animations/oxygentreeviewdata.cpp
    animations/oxygentreeviewengine.cpp
    animations/oxygentreeviewstatedata.cpp
    animations/oxygenwidgetsizedata.cpp
    animations/oxygenwidgetstatedata.cpp
    animations/oxygenwidgetstateengine.cpp
    debug/oxygenwidgetexplorer.cpp
    oxygenapplicationname.cpp
    oxygenargbhelper.cpp
    oxygencairocontext.cpp
    oxygencairoutils.cpp
    oxygencoloreffect.cpp
    oxygencolorutils.cpp
    oxygenfontinfo.cpp
    oxygengtkcss.cpp
    oxygengtkcellinfo.cpp
    oxygengtkicons.cpp
    oxygengtktypenames.cpp
    oxygengtkutils.cpp
    oxygenloghandler.cpp
    oxygenobjectcounter.cpp
    oxygenobjectcountermap.cpp
    oxygenoptionmap.cpp
    oxygenpalette.cpp
    oxygenpathlist.cpp
    oxygenpropertynames.cpp
    oxygenqtsettings.cpp
    oxygenrgba.cpp
    oxygenshadowconfiguration.cpp
    oxygenshadowhelper.cpp
    oxygenstyle.cpp
    oxygenstylehelper.cpp
    oxygenstyleoptions.cpp
    oxygentaboptions.cpp
    oxygentheme.cpp
    oxygenthemingengine.cpp
    oxygentileset.cpp
    oxygenwidgetlookup.cpp
    oxygenwindecobutton.cpp
    oxygenwindecooptions.cpp
    oxygenwindowmanager.cpp
    oxygenwindowshadow.cpp
)

add_library( oxygen-gtk SHARED ${oxygen_gtk_SOURCES} )

# Add debug cflags
set( CMAKE_CXX_FLAGS " -Wall -g ${CMAKE_CXX_FLAGS}" )
set( CMAKE_C_FLAGS " -Wall -g ${CMAKE_C_FLAGS}" )

target_link_libraries( oxygen-gtk ${GTK_LIBRARIES} ${CAIRO_LIBRARIES} ${X11_X11_LIB} )

install( TARGETS oxygen-gtk DESTINATION ${INSTALL_PATH_GTK_ENGINES} )

## oxygen-gtk3 1.0.2

=== debian/changelog ===
oxygen-gtk3 (1.0.2-0ubuntu3) precise-security; urgency=medium

  [ Enrique Hernández Bello <ehbello@gmail.com> ]
  * Backport upstream change to fix a crash with Firefox 46 (LP: #1575781)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 02 May 2016 17:15:11 +0100

oxygen-gtk3 (1.0.2-0ubuntu2) precise; urgency=low

  * Set ENABLE_INNER_SHADOWS_HACK=0 to work around a bug in gtk3. (LP: #959031)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 20 Mar 2012 21:24:21 +0100

oxygen-gtk3 (1.0.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Build-depend on libglib2.0-dev instead of libdbus-glib-1-dev.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 17 Mar 2012 23:48:19 +0100

oxygen-gtk3 (1.0.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 07 Mar 2012 14:09:09 +0100

oxygen-gtk3 (1.0.0-0ubuntu1) precise; urgency=low

  * Initial release (LP: #825858) 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 01 Feb 2012 21:27:37 +0100

=== debian/control ===
Source: oxygen-gtk3
Section: gnome
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
               debhelper (>= 9),
               libglib2.0-dev (>= 2.26.0),
               libgtk-3-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk

Package: gtk3-engines-oxygen
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Oxygen widget theme for GTK3-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

=== debian/watch ===
version=3

opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk3/([\d\.]+)/src/oxygen-gtk3-([\d\.]+)\.tar\.bz2

## oxygen-gtk3 1.0.4

=== debian/changelog ===
oxygen-gtk3 (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #657731) 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 May 2012 19:16:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: oxygen-gtk3
 Section: gnome
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>, Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
-               libglib2.0-dev (>= 2.26.0),
                libgtk-3-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/oxygen-gtk3.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/oxygen-gtk3.git;a=summary
 
 Package: gtk3-engines-oxygen
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEBIAN_NO_DEMOS=1 \
		-DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=yes \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0

## oxygen-gtk3 1.1.0

=== debian/changelog ===
oxygen-gtk3 (1.1.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jul 2012 15:55:10 +0100

oxygen-gtk3 (1.0.4-0ubuntu1) quantal; urgency=low

  * New upstream release 
    - update dont-build-demos.patch
    - drop build-dep libglib2.0-dev, not needed anymore

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 May 2012 20:22:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEBIAN_NO_DEMOS=1 \
		-DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=1 \
		-DENABLE_INNER_SHADOWS_HACK=0

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk-3-0

.PHONY: override_dh_makeshlibs override_dh_auto_configure override_dh_shlibdeps

## oxygen-gtk3 1.1.1

=== debian/changelog ===
oxygen-gtk3 (1.1.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 20 Nov 2012 12:00:43 +0100

=== debian/control ===
Source: oxygen-gtk3
Section: gnome
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
               debhelper (>= 9),
               libgtk-3-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk

Package: gtk3-engines-oxygen
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Oxygen widget theme for GTK3-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

## oxygen-gtk3 1.1.4

=== debian/changelog ===
oxygen-gtk3 (1.1.4-0ubuntu0.1) raring; urgency=low

  [ Rohan Garg ]
  * New upstream release (LP: #1142213)
    - Fixes issues where gtk3 applications like emacs24 would not start

  [ Dmitry Smirnov ]
  * Corrected "Expat" license name in debian/copyright

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Jun 2013 13:14:25 +0100

## oxygen-gtk3 1.2.0

=== debian/changelog ===
oxygen-gtk3 (1.2.0-1) unstable; urgency=low

  * New upstream release [August 2013].
  * Build demo but do not install it.
  * debian/control: "Breaks: libgtk-3-0 (<< 3.8)" (Closes: #718193).
  * New patch to fix mouse wheel scrolling (Closes: #714205).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Oct 2013 13:16:07 +1100

oxygen-gtk3 (1.1.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 13 Jul 2013 16:07:38 +0200

oxygen-gtk3 (1.1.3-1) unstable; urgency=low

  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 10 May 2013 12:05:34 +1000

oxygen-gtk3 (1.1.3-1~exp0) experimental; urgency=low

  * New upstream release [April 2013]
  * Removed obsolete lintian-overrides.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Apr 2013 12:04:36 +1000

oxygen-gtk3 (1.1.2-1~exp0) experimental; urgency=low

  * New upstream release [January 2013]
    (Closes: #700180).
  * Keep LFDFLAGS when passing '--as-needed' (fixes Hardening).
  * Added lintian-overrides:
    + for 'no-fortify' false positives.
  * Standards to 3.9.4.
  * xz compression for source and binaries.
  * Corrected "Expat" license name in debian/copyright.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Mar 2013 21:24:21 +1100

=== debian/control ===
Source: oxygen-gtk3
Section: gnome
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
               debhelper (>= 9),
               libgtk-3-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/oxygen-gtk3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/oxygen-gtk3.git;a=summary

Package: gtk3-engines-oxygen
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libgtk-3-0 (<< 3.8)
Description: Oxygen widget theme for GTK3-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

## oxygen-gtk3 1.3.5

=== debian/changelog ===
oxygen-gtk3 (1.3.5-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 16:31:50 +0100

oxygen-gtk3 (1.3.3-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Uninitialized pointer fixed
  * Major issue was fixed (basically some dangling 
    pointers being wrongly accessed)

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 12 Feb 2014 08:13:52 -0800

oxygen-gtk3 (1.2.0-0ubuntu2) trusty; urgency=low

  * Add oxygen-gtk3-scroll-fix.patch from Debian (LP: #1244941)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Oct 2013 11:20:48 +0100

oxygen-gtk3 (1.2.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1218736) 

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 30 Aug 2013 13:46:16 +0800

oxygen-gtk3 (1.1.4-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Drop popen-instead-of-g_spawn_command_line_sync.patch, applied upstream.

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Jun 2013 06:58:50 +0100

oxygen-gtk3 (1.1.3-1ubuntu2) saucy; urgency=low

  * Add popen-instead-of-g_spawn_command_line_sync.patch from upstream
    to fix freezes in GTK applications (LP: #963736)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 31 May 2013 14:41:52 +0530

oxygen-gtk3 (1.1.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk-3-0 from Depends
  * Don't set ENABLE_INNER_SHADOWS_HACK=0 anymore, seems to be fixed in gtk.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 12 May 2013 11:27:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: oxygen-gtk3
 Section: gnome
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
@@ -16,7 +17,6 @@
 Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
-Breaks: libgtk-3-0 (<< 3.8)
 Description: Oxygen widget theme for GTK3-based applications
  Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEBIAN_NO_DEMOS=1 \
		-DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=yes \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed $(LDFLAGS)"

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk-3-0

=== debian/watch ===
version=3

opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk3/([\d\.]+)/src/oxygen-gtk3-([\d\.]+)\.tar\.(?:bz2|xz|gz)

## oxygen-gtk3 1.4.0

=== debian/changelog ===
oxygen-gtk3 (1.4.0-1) unstable; urgency=low

  * New upstream release [July 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Jul 2014 09:21:05 +1000

oxygen-gtk3 (1.3.5-1) unstable; urgency=low

  * New upstream release [April 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 Apr 2014 21:30:56 +1000

oxygen-gtk3 (1.3.4-1) unstable; urgency=low

  * New upstream release [March 2014].
    + Build-Depends: libgtk-3-dev (>= 3.10)
  * Bump Standards to 3.9.5.
  * Dropped obsolete "oxygen-gtk3-scroll-fix.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 16 Mar 2014 12:41:11 +1100

=== debian/control ===
Source: oxygen-gtk3
Section: gnome
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
               debhelper (>= 9),
               libgtk-3-dev (>= 3.10)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/oxygen-gtk3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/oxygen-gtk3.git;a=summary

Package: gtk3-engines-oxygen
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Breaks: libgtk-3-0 (<< 3.8)
Description: Oxygen widget theme for GTK3-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

## oxygen-gtk3 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Oxygen Gtk3 theme" )
 set( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
-set( CPACK_PACKAGE_VERSION_MINOR "3" )
-set( CPACK_PACKAGE_VERSION_PATCH "5" )
+set( CPACK_PACKAGE_VERSION_MINOR "4" )
+set( CPACK_PACKAGE_VERSION_PATCH "1" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################

=== debian/changelog ===
oxygen-gtk3 (1.4.1-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Add dh_shlibdeps to not depend on libgtk-3-0. (Closes: #781376)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 28 Mar 2015 10:26:53 +0100

oxygen-gtk3 (1.4.1-2) unstable; urgency=medium

  * New patch to fix floating drop-down menus (Closes: #775338).
  * Suggests: kde-config-gtk-style.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Mar 2015 15:49:17 +1100

oxygen-gtk3 (1.4.1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Add dh_shlibdeps to not depend on libgtk-3-0.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 27 Dec 2014 00:56:19 +0100

oxygen-gtk3 (1.4.1-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Standards-Version: 3.9.6.
  * Lintianisation: pre-depends-directly-on-multiarch-support.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 28 Oct 2014 20:25:29 +1100

oxygen-gtk3 (1.4.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 20 Aug 2014 12:19:04 +0200

oxygen-gtk3 (1.3.5-1ubuntu1) utopic; urgency=medium

  * Merge with debian, remaining change:
   - Add dh_shlibdeps to not depend on libgtk-3-0

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Apr 2014 12:50:12 +0000

=== debian/control ===
Source: oxygen-gtk3
Section: gnome
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
               debhelper (>= 9),
               libgtk-3-dev (>= 3.10)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/oxygen-gtk3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/oxygen-gtk3.git;a=summary

Package: gtk3-engines-oxygen
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kde-config-gtk-style
Breaks: libgtk-3-0 (<< 3.8)
Description: Oxygen widget theme for GTK3-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
            -DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=yes \
            -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed $(LDFLAGS)"
#          -DDEBIAN_NO_DEMOS=1

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk-3-0
